package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TNRoomInfoExample {
    /**
     * t_n_room_info
     */
    protected String orderByClause;

    /**
     * t_n_room_info
     */
    protected boolean distinct;

    /**
     * t_n_room_info
     */
    protected List<Criteria> oredCriteria;

    public TNRoomInfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_n_room_info 2019-03-22
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNull() {
            addCriterion("vdevcode is null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNotNull() {
            addCriterion("vdevcode is not null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeEqualTo(String value) {
            addCriterion("vdevcode =", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotEqualTo(String value) {
            addCriterion("vdevcode <>", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThan(String value) {
            addCriterion("vdevcode >", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vdevcode >=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThan(String value) {
            addCriterion("vdevcode <", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThanOrEqualTo(String value) {
            addCriterion("vdevcode <=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLike(String value) {
            addCriterion("vdevcode like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotLike(String value) {
            addCriterion("vdevcode not like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIn(List<String> values) {
            addCriterion("vdevcode in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotIn(List<String> values) {
            addCriterion("vdevcode not in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeBetween(String value1, String value2) {
            addCriterion("vdevcode between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotBetween(String value1, String value2) {
            addCriterion("vdevcode not between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseIsNull() {
            addCriterion("nitrogenhouse is null");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseIsNotNull() {
            addCriterion("nitrogenhouse is not null");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseEqualTo(String value) {
            addCriterion("nitrogenhouse =", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseNotEqualTo(String value) {
            addCriterion("nitrogenhouse <>", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseGreaterThan(String value) {
            addCriterion("nitrogenhouse >", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseGreaterThanOrEqualTo(String value) {
            addCriterion("nitrogenhouse >=", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseLessThan(String value) {
            addCriterion("nitrogenhouse <", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseLessThanOrEqualTo(String value) {
            addCriterion("nitrogenhouse <=", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseLike(String value) {
            addCriterion("nitrogenhouse like", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseNotLike(String value) {
            addCriterion("nitrogenhouse not like", value, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseIn(List<String> values) {
            addCriterion("nitrogenhouse in", values, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseNotIn(List<String> values) {
            addCriterion("nitrogenhouse not in", values, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseBetween(String value1, String value2) {
            addCriterion("nitrogenhouse between", value1, value2, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andNitrogenhouseNotBetween(String value1, String value2) {
            addCriterion("nitrogenhouse not between", value1, value2, "nitrogenhouse");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNull() {
            addCriterion("sitecode is null");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNotNull() {
            addCriterion("sitecode is not null");
            return (Criteria) this;
        }

        public Criteria andSitecodeEqualTo(String value) {
            addCriterion("sitecode =", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotEqualTo(String value) {
            addCriterion("sitecode <>", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThan(String value) {
            addCriterion("sitecode >", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThanOrEqualTo(String value) {
            addCriterion("sitecode >=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThan(String value) {
            addCriterion("sitecode <", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThanOrEqualTo(String value) {
            addCriterion("sitecode <=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLike(String value) {
            addCriterion("sitecode like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotLike(String value) {
            addCriterion("sitecode not like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeIn(List<String> values) {
            addCriterion("sitecode in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotIn(List<String> values) {
            addCriterion("sitecode not in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeBetween(String value1, String value2) {
            addCriterion("sitecode between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotBetween(String value1, String value2) {
            addCriterion("sitecode not between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andPurityIsNull() {
            addCriterion("purity is null");
            return (Criteria) this;
        }

        public Criteria andPurityIsNotNull() {
            addCriterion("purity is not null");
            return (Criteria) this;
        }

        public Criteria andPurityEqualTo(BigDecimal value) {
            addCriterion("purity =", value, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityNotEqualTo(BigDecimal value) {
            addCriterion("purity <>", value, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityGreaterThan(BigDecimal value) {
            addCriterion("purity >", value, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("purity >=", value, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityLessThan(BigDecimal value) {
            addCriterion("purity <", value, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("purity <=", value, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityIn(List<BigDecimal> values) {
            addCriterion("purity in", values, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityNotIn(List<BigDecimal> values) {
            addCriterion("purity not in", values, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("purity between", value1, value2, "purity");
            return (Criteria) this;
        }

        public Criteria andPurityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("purity not between", value1, value2, "purity");
            return (Criteria) this;
        }

        public Criteria andTemperatureIsNull() {
            addCriterion("temperature is null");
            return (Criteria) this;
        }

        public Criteria andTemperatureIsNotNull() {
            addCriterion("temperature is not null");
            return (Criteria) this;
        }

        public Criteria andTemperatureEqualTo(BigDecimal value) {
            addCriterion("temperature =", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotEqualTo(BigDecimal value) {
            addCriterion("temperature <>", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureGreaterThan(BigDecimal value) {
            addCriterion("temperature >", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("temperature >=", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLessThan(BigDecimal value) {
            addCriterion("temperature <", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureLessThanOrEqualTo(BigDecimal value) {
            addCriterion("temperature <=", value, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureIn(List<BigDecimal> values) {
            addCriterion("temperature in", values, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotIn(List<BigDecimal> values) {
            addCriterion("temperature not in", values, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("temperature between", value1, value2, "temperature");
            return (Criteria) this;
        }

        public Criteria andTemperatureNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("temperature not between", value1, value2, "temperature");
            return (Criteria) this;
        }

        public Criteria andPressureIsNull() {
            addCriterion("pressure is null");
            return (Criteria) this;
        }

        public Criteria andPressureIsNotNull() {
            addCriterion("pressure is not null");
            return (Criteria) this;
        }

        public Criteria andPressureEqualTo(BigDecimal value) {
            addCriterion("pressure =", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureNotEqualTo(BigDecimal value) {
            addCriterion("pressure <>", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureGreaterThan(BigDecimal value) {
            addCriterion("pressure >", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("pressure >=", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureLessThan(BigDecimal value) {
            addCriterion("pressure <", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureLessThanOrEqualTo(BigDecimal value) {
            addCriterion("pressure <=", value, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureIn(List<BigDecimal> values) {
            addCriterion("pressure in", values, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureNotIn(List<BigDecimal> values) {
            addCriterion("pressure not in", values, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pressure between", value1, value2, "pressure");
            return (Criteria) this;
        }

        public Criteria andPressureNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pressure not between", value1, value2, "pressure");
            return (Criteria) this;
        }

        public Criteria andFlowIsNull() {
            addCriterion("flow is null");
            return (Criteria) this;
        }

        public Criteria andFlowIsNotNull() {
            addCriterion("flow is not null");
            return (Criteria) this;
        }

        public Criteria andFlowEqualTo(BigDecimal value) {
            addCriterion("flow =", value, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowNotEqualTo(BigDecimal value) {
            addCriterion("flow <>", value, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowGreaterThan(BigDecimal value) {
            addCriterion("flow >", value, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("flow >=", value, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowLessThan(BigDecimal value) {
            addCriterion("flow <", value, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowLessThanOrEqualTo(BigDecimal value) {
            addCriterion("flow <=", value, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowIn(List<BigDecimal> values) {
            addCriterion("flow in", values, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowNotIn(List<BigDecimal> values) {
            addCriterion("flow not in", values, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("flow between", value1, value2, "flow");
            return (Criteria) this;
        }

        public Criteria andFlowNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("flow not between", value1, value2, "flow");
            return (Criteria) this;
        }

        public Criteria andSignalIsNull() {
            addCriterion("signal is null");
            return (Criteria) this;
        }

        public Criteria andSignalIsNotNull() {
            addCriterion("signal is not null");
            return (Criteria) this;
        }

        public Criteria andSignalEqualTo(String value) {
            addCriterion("signal =", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalNotEqualTo(String value) {
            addCriterion("signal <>", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalGreaterThan(String value) {
            addCriterion("signal >", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalGreaterThanOrEqualTo(String value) {
            addCriterion("signal >=", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalLessThan(String value) {
            addCriterion("signal <", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalLessThanOrEqualTo(String value) {
            addCriterion("signal <=", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalLike(String value) {
            addCriterion("signal like", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalNotLike(String value) {
            addCriterion("signal not like", value, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalIn(List<String> values) {
            addCriterion("signal in", values, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalNotIn(List<String> values) {
            addCriterion("signal not in", values, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalBetween(String value1, String value2) {
            addCriterion("signal between", value1, value2, "signal");
            return (Criteria) this;
        }

        public Criteria andSignalNotBetween(String value1, String value2) {
            addCriterion("signal not between", value1, value2, "signal");
            return (Criteria) this;
        }

        public Criteria andAirsignalIsNull() {
            addCriterion("airsignal is null");
            return (Criteria) this;
        }

        public Criteria andAirsignalIsNotNull() {
            addCriterion("airsignal is not null");
            return (Criteria) this;
        }

        public Criteria andAirsignalEqualTo(String value) {
            addCriterion("airsignal =", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalNotEqualTo(String value) {
            addCriterion("airsignal <>", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalGreaterThan(String value) {
            addCriterion("airsignal >", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalGreaterThanOrEqualTo(String value) {
            addCriterion("airsignal >=", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalLessThan(String value) {
            addCriterion("airsignal <", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalLessThanOrEqualTo(String value) {
            addCriterion("airsignal <=", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalLike(String value) {
            addCriterion("airsignal like", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalNotLike(String value) {
            addCriterion("airsignal not like", value, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalIn(List<String> values) {
            addCriterion("airsignal in", values, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalNotIn(List<String> values) {
            addCriterion("airsignal not in", values, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalBetween(String value1, String value2) {
            addCriterion("airsignal between", value1, value2, "airsignal");
            return (Criteria) this;
        }

        public Criteria andAirsignalNotBetween(String value1, String value2) {
            addCriterion("airsignal not between", value1, value2, "airsignal");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIsNull() {
            addCriterion("valarmstatue is null");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIsNotNull() {
            addCriterion("valarmstatue is not null");
            return (Criteria) this;
        }

        public Criteria andValarmstatueEqualTo(Integer value) {
            addCriterion("valarmstatue =", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotEqualTo(Integer value) {
            addCriterion("valarmstatue <>", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueGreaterThan(Integer value) {
            addCriterion("valarmstatue >", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueGreaterThanOrEqualTo(Integer value) {
            addCriterion("valarmstatue >=", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueLessThan(Integer value) {
            addCriterion("valarmstatue <", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueLessThanOrEqualTo(Integer value) {
            addCriterion("valarmstatue <=", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIn(List<Integer> values) {
            addCriterion("valarmstatue in", values, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotIn(List<Integer> values) {
            addCriterion("valarmstatue not in", values, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueBetween(Integer value1, Integer value2) {
            addCriterion("valarmstatue between", value1, value2, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotBetween(Integer value1, Integer value2) {
            addCriterion("valarmstatue not between", value1, value2, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueIsNull() {
            addCriterion("vstatue is null");
            return (Criteria) this;
        }

        public Criteria andVstatueIsNotNull() {
            addCriterion("vstatue is not null");
            return (Criteria) this;
        }

        public Criteria andVstatueEqualTo(Integer value) {
            addCriterion("vstatue =", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotEqualTo(Integer value) {
            addCriterion("vstatue <>", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueGreaterThan(Integer value) {
            addCriterion("vstatue >", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueGreaterThanOrEqualTo(Integer value) {
            addCriterion("vstatue >=", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueLessThan(Integer value) {
            addCriterion("vstatue <", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueLessThanOrEqualTo(Integer value) {
            addCriterion("vstatue <=", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueIn(List<Integer> values) {
            addCriterion("vstatue in", values, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotIn(List<Integer> values) {
            addCriterion("vstatue not in", values, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueBetween(Integer value1, Integer value2) {
            addCriterion("vstatue between", value1, value2, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotBetween(Integer value1, Integer value2) {
            addCriterion("vstatue not between", value1, value2, "vstatue");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_n_room_info
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_n_room_info 2019-03-22
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}